from openerp import api, fields, models
import json

class AccountJournal(models.Model):
    _inherit = 'account.journal'

    @api.model
    def get_journals(self):
        domain = [('active', '=', True), ('type', 'in', ['bank', 'cash'])]
        journals = []

        for journal in self.env['account.journal'].search(domain):
            journals.append({
                'id': journal.id,
                'name': journal.name,
                'display_name': journal.display_name,
                'code': journal.code,
                'cash_control': journal.cash_control,
                'type': journal.type,
                'default_credit_account': {
                    'id': journal.default_credit_account_id.id,
                    'name': journal.default_credit_account_id.name,
                    'display_name': journal.default_credit_account_id.display_name,
                    'code': journal.default_credit_account_id.code
                },
                'default_debit_account': {
                    'id': journal.default_debit_account_id.id,
                    'name': journal.default_debit_account_id.name,
                    'display_name': journal.default_debit_account_id.display_name,
                    'code': journal.default_debit_account_id.code
                }
            })

        return journals